org.keycloak.dom.saml.v2.ac.classes

## Class OriginalAuthnMethodBaseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.OriginalAuthnMethodBaseType

- Direct Known Subclasses:
    AuthnMethodBaseType

      public class OriginalAuthnMethodBaseType
      extends ExtensionListType

  Java class for AuthnMethodBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnMethodBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}PrincipalAuthenticationMechanism"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Authenticator"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}AuthenticatorTransportProtocol"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthenticatorBaseType` | `authenticator`
    `protected AuthenticatorTransportProtocolType` | `authenticatorTransportProtocol`
    `protected PrincipalAuthenticationMechanismType` | `principalAuthenticationMechanism`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginalAuthnMethodBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticatorBaseType` | `getAuthenticator()` Gets the value of the authenticator property.
    `AuthenticatorTransportProtocolType` | `getAuthenticatorTransportProtocol()` Gets the value of the authenticatorTransportProtocol property.
    `PrincipalAuthenticationMechanismType` | `getPrincipalAuthenticationMechanism()` Gets the value of the principalAuthenticationMechanism property.
    `void` | `setAuthenticator(AuthenticatorBaseType value)` Sets the value of the authenticator property.
    `void` | `setAuthenticatorTransportProtocol(AuthenticatorTransportProtocolType value)` Sets the value of the authenticatorTransportProtocol property.
    `void` | `setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanismType value)` Sets the value of the principalAuthenticationMechanism property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### principalAuthenticationMechanism

          protected PrincipalAuthenticationMechanismType principalAuthenticationMechanism

    - #### authenticator

          protected AuthenticatorBaseType authenticator

    - #### authenticatorTransportProtocol

          protected AuthenticatorTransportProtocolType authenticatorTransportProtocol

  - ### Constructor Detail

    - #### OriginalAuthnMethodBaseType

          public OriginalAuthnMethodBaseType()

  - ### Method Detail

    - #### getPrincipalAuthenticationMechanism

          public PrincipalAuthenticationMechanismType getPrincipalAuthenticationMechanism()

      Gets the value of the principalAuthenticationMechanism property.
      Returns:
        possible object is `PrincipalAuthenticationMechanismType`

    - #### setPrincipalAuthenticationMechanism

          public void setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanismType value)

      Sets the value of the principalAuthenticationMechanism property.
      Parameters:
        `value` - allowed object is `PrincipalAuthenticationMechanismType`

    - #### getAuthenticator

          public AuthenticatorBaseType getAuthenticator()

      Gets the value of the authenticator property.
      Returns:
        possible object is `AuthenticatorBaseType`

    - #### setAuthenticator

          public void setAuthenticator(AuthenticatorBaseType value)

      Sets the value of the authenticator property.
      Parameters:
        `value` - allowed object is `AuthenticatorBaseType`

    - #### getAuthenticatorTransportProtocol

          public AuthenticatorTransportProtocolType getAuthenticatorTransportProtocol()

      Gets the value of the authenticatorTransportProtocol property.
      Returns:
        possible object is `AuthenticatorTransportProtocolType`

    - #### setAuthenticatorTransportProtocol

          public void setAuthenticatorTransportProtocol(AuthenticatorTransportProtocolType value)

      Sets the value of the authenticatorTransportProtocol property.
      Parameters:
        `value` - allowed object is `AuthenticatorTransportProtocolType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.